export function translate(word) {
  const terms = {
    SUN: "الاحد",
    MON: "الاثنين",
    TUS: "الثلاثاء",
    WED: "الاربعاء",
    THU: "الخميس",
    // Math: 'الرياضيات',
    // Biology : 'علم الأحياء',
    // Physics: 'الفيزياء',
    // Chemistry: 'الكيمياء',
    // Science: 'علوم',
    // Arabic: 'اللغة العربية',
    // English: 'اللغة الانكليزية',
    // Music: 'موسيقى',
    // Art: 'رسم',
    Days: "الأيام",
    Day: "اليوم",
    Period: "الفترة",
    Week: "الأسبوع",
    Courses: "المواد",
    "you have no courses": "ليس لديك أي مواد مسجلة",
    Notifications: "الإشعارات",
    "you have 0 notifications": "ليس لديك أي إشعارات",
    "Grades Book": "الدرجات",
    Calculate: "احتساب",
    "Set Marks": "تسجيل الدرجات",
    "Save Marks": "حفظ الدرجات",
    "Letter Mark": "العلامة الوصفية",
    "You Don't Have Any Students": "ليس لديك طلاب في هذه المادة",
    "Upcoming Sessions": "الجلسات القادمة",
    "There are no grades available": "لا يوجد درجات",
    "there is no detailed grades": "لا يوجد تفاصيل درجات",
    "Switch Language": "تغير اللغة",
    Logout: "تسجيل الخروج",
    "Lessons Today": "دروس اليوم",
    Join: "دخول",
    Pending: "قيد الانتظار",
    Students: "قائمة الطلاب",
    Grade: "الصف",
    "Student Name": "اسم الطالب",
    "Grades Calculation": "آلية الدرجات",
    "enter mark": "أدخل العلامة",
    "enter weight": "أدخل الوزن",
    Name: "الاسم",
    Weight: "الوزن",
    Percentage: "النسبة المئوية",
    "Save & Calculate Changes": "حفظ البيانات و احتساب التعديلات",
    "Set Grade": "ادخال الدرجات",
    Content: "المحتوى",
    "Grading Book": "دفتر الدرجات",
    Home: "الرئيسية",
    Group: "الشعبة",
    Calendar: "الرزنامة",
    Recording: "التسجيل",
    Assignments: "الواجبات",
    Assignment: "واجب",
    assignment: "واجب",
    quiz: "اختبار",
    Quizzes: "اختبارات",
    Quiz: "اختبار",
    "There are no assignments linked to this Lesson":
      "لا يوجد وظائف أو اختبارات مرتبطة بهذا الدرس",
    Details: "التفاصيل",
    "Lesson Number": "رقم الدرس",
    Solution: "الحل",
    Question: "السؤال",
    "Start Page": "صفحة البداية",
    "End Page": "صفحة النهاية",
    "Calculated Mark": "العلامة المحتسبة",
    "Teacher Mark": "علامة المدرس",
    "Assignments and Exams": "الوظائف والإختبارات",
    "Question Sets": "مجموعات الأسئلة",
    "Mark Question Sets": "تصحيح مجموعات الأسئلة",
    "View Submitted Question Sets": "استعراض مجموعات الأسئلة المرسلة",
    "Send notifications": "إرسال إشعارات",
    "Link Question Sets": "ربط مجموعات الأسئلة",
    "Lesson Finished On": "تم إنتهاء الدرس بتاريخ",
    Save: "حفظ",
    Lessons: "الدروس",
    Cancel: "إلغاء",
    Mark: "تصحيح",
    Review: "استعراض",
    Marked: "مصححة",
    "Un Marked": "غير مصححة",
    "Total Grade": "مجموع العلامات",
    Marks: "العلامة",
    Feedback: "ملاحظات",
    "Add Feedback": "إضافة ملاحظات",
    Exams: "الإمتحانات",
    "No Submitted Items Yet": "لم يتم إرسال عناصر  حتى الآن",
    "Upcoming Events": "الأحداث القادمة",
    "You Are Currently Not Registered To Any Courses":
      "عذراً، لا يوجد لديك مواد مسجلة في الوقت الحالي",
    "Question set name is required!": "!اسم مجموعة الاسئلة مطلوب",
    "Question set type is required!": "!نوع مجموعة الاسئلة مطلوب",
    "Book is required!": "!الكتاب مطلوب",
    "Total grade is required!": "!العلامة مطلوبة",
    "Total Pattern Grade Should Be Equal to Question Set Grade!":
      "يجب أن تكون علامة النموذج مساوية لعلامة مجموعة الأسئلة التي ينتمي لها!",
    "Question Set": "مجموعة الأسئلة",
    "Question set name": "اسم المجموعة",
    "Question set type": "نوع المجموعة",
    Books: "الكتب",
    "Total grade": "العلامة الكلية",
    "Page number": "رقم الصفحة",
    "Question Bank Explore": "مستعرض بنك الأسئلة",
    Groups: "المجموعات",
    "Add New Group": "إضافة مجموعة",
    "Add New Topic": "إضافة حزمة اسئلة",
    "Add To Group": "الربط مع مجموعة",
    Search: "البحث",
    "Save Pattern": "حفظ النموذج",
    "Select question set type": "أختر نوع مجموعة الأسئلة",
    "Select book": "أختر كتاب",
    "New Pattren": "نموذج جديد",
    "Group Text": "النص",
    Skip: "الأسئلة القابلة للتخطي",
    Close: "إغلاق",
    Add: "إصافة",
    Update: "تعديل",
    "Topic grade": "العلامة",
    "Topic order": "الترتيب",
    Reports: "التقارير",
    Course: "المادة",
    Course: "المادة",
    Topic: "الموضوع",
    "Course Category": "تصنيف المادة",
    "Topic Tags": "الكلمات المفتاحية للموضوع",
    "Topic Title": "عنوان الموضوع",
    "Topic Text": "نص الموضوع",
    "Total Weight": "الوزن الكلي",
    "Question Weight": "وزن السؤال",
    "Question Text": "نص السؤال",
    "Question Type": "نوع السؤال",
    "Save Topic": "حفظ السؤال",
    "Add New Topic": "إضافة سؤال جديد",
    "View Topic As student": "استعراض الموضوع كطالب",
    "Show advanced options": "استعراض الخيارات المتقدمة",
    "Hide advanced options": "اخفاء الخيارات المتقدمة",
    Question: "السؤال",
    Answer: "الإجابة",
    Answers: "الإجابات",
    "Final Mark": "العلامة النهائية",
    "Teacher Feedback": "تقييم الأستاذ",
    "Question mark": "علامة السؤال",
    "Total Mark": "العلامة الكلية",
    Previous: "السابق",
    Next: "التالي",

    "Select A Book----": "اختر كتابا-----",
    "Page Number": "رقم الصفحة",
    "Add Lesson Attachment": "إضافة ملحقات للدرس",
    "Lesson Supplement Recordings": "التسجيلات الإضافية",
    "There are no supplement recordings for this Lesson":
      "لا يوجد تسجيلات إضافية لهذا الدرس",
    Recording: "التسجيل",
    "Lesson Recordings": "تسجيلات الدرس",
    "There are no recordings for this Lesson": "لا يوجد تسجيلات لهذا الدرس",
    "Supplement Recordings": "التسجيلات الإضافية",
    "There are no supplement recordings for this Lesson":
      "لا يوجد تسجيلات إضافية لهذا الدرس",
    "Lesson Plan": "خطة الدرس",
    Subject: "الموضوع",
    Description: "التوصيف",
    Attachment: "الملحقات",
    "There are no recordings for this Lesson": "لا يوجد تسجيلات لهذا الدرس",
    "Go To Lesson": "الذهاب إلى الدرس",
    "Lesson Description": "توصيف الدرس",
    Profile: "الملف الشخصي",
    "Change Photo": "تغيير الصورة",
    General: "المعلومات العامة",
    "First Name": "الاسم الأول",
    "Last Name": "الكنية",
    "User Name": "اسم المستخدم",
    Email: "البريد الالكتروني",
    "Email 1": "البريد الالكتروني 1",
    "Email 2": "البريد الالكتروني 2",
    Address: "العنوان",
    Nationality: "الجنسية",
    "Time Zone": "المنطقة الزمنية",
    Privacy: "المعلومات الخصوصية",
    "Current Password": "كلمة المرور الحالية",
    "New Password": "كلمة المرور الجديدة",
    "Re-Type Password": "تأكيد كلمة المرور",
    Submit: "إرسال",
    "Question Sets Editor": "محرر مجموعات الأسئلة",
    "There is No Questions Sets , Try adding New one !":
      "لا يوجد مجموعات أسئلة , إبدأ بالإضافة الآن !",
    "Add New Question Set +": "إضافة مجموعة أسئلة جديدة +",
    "Question Set Name": "الاسم",
    Delete: "حذف",
    "New Question Set": "إضافة مجموعة أسئلة جديدة",
    "New Question": "سؤال جديد",
    "Edit Question Set": "تعديل مجموعة الأسئلة",
    "Quiz Settings": "إعدادات الاختبار",
    "Question Bank Explorer": "مستعرض بنك الأسئلة",
    Sections: "الأقسام",
    "Add Topic To Group": "إضافة سؤال إلى المجموعة",
    "Add Topic": "إضافة سؤال",
    "Lesson Details": "تفاصيل الدرس",
    "Lesson Page": "صفحة الدرس",
    "Book Name": "اسم الكتاب",
    "Lesson Date": "تاريخ الدرس",
    "Lesson Name": "اسم الدرس",
    Link: "ربط مع الدرس",
    ReLink: "إعادة الربط مع الدرس",
    UnLink: "فك الربط مع الدرس",
    Type: "النمط",
    "Select Type": "اختر النمط",
    "Due Date": "تاريخ التسليم",
    "Cut-Off Date": "تاريخ إيقاف الاستلام",
    "Select a Period----": "اختر الحصة الدراسية",
    "Send Late Notification": "إرسال إشعارات التأخير",
    "Opening Date": "تاريخ و وقت بداية الامتحان",
    "Closing Date": "تاريخ و وقت نهاية الامتحان",
    "Students Patterns": "نماذج الطلاب",
    "No Students For This Course": "لا يوجد طلاب لهذا المنهاج",
    "Single Pattern , Will be Assigned To Students Automatically":
      "مجموعة الأسئلة هذه لها نموذج واحد , و سيتم إسناده إلى الطلاب آلياً",
    "Link Question Set": "الربط مع الدرس",
    "Are You sure you want to submit": "هل أنت متأكد أنك تريد الإرسال ؟",
    "Submitted Successfully": "تم الإرسال بنجاح",
    "Un Skip": "التراجع عن التخطي",
    Skip: "تخطي",
    Download: "تحميل",
    " Your mark ": "علامتك",
    "Student Mark": "علامة الطالب",
    Upload: "رفع",
    "Drawing saved successfully": "تم الحفظ بنجاح",
    "Something went wrong": "حدث خطأ ما !",
    Clear: "مسح",
    Undo: "تراجع",
    Drag: "سحب",
    Drop: "إفلات",
    "Select Course Category": "اختر تصنيف المادة",
    "Add topic title": "أضف عنوانا للموضوع",
    "Total Grade should be 100": "يجب أن تكون العلامة الكلية 100",
    "Topic added successfully": "تمت الإضافة بنجاح",
    "Changes you made may not be saved.":
      "لم تقم بحفظ التغييرات التي قمت بها ؟",
    "Select Course": "اختر المادة",
    "Select Category": "اختر التصنيف",
    "value between 0 and 100": "قيمة بين 0 و 100",
    "Multiple Choice (Single Answer)": "متعدد الخيارات ( إجابة واحدة صحيحة)",
    "Multiple Choice (Multiple Answer)": "متعدد الخيارات ( عدة إجابات صحيحة)",
    "Free Text": "نص",
    Match: "مطابقة",
    Draw: "رسم",
    "Upload File": "تحميل ملف",
    Choices: "الخيارات",
    "Choice Order": "ترتيب الخيار",
    "choose file first": "لم تقم بتحديد الملف !",
    "enter a name for the section first": "لم تقم بإدخال اسم للتصنيف",
    "Select a node first please": "لم تقم بتحديد العقدة !",
    "Select a node": "لم تقم بتحديد العقدة !",
    "Select a node a Please": "لم تقم بتحديد العقدة !",
    Done: "تمت العملية بنجاح",
    "already exists": "موجود مسبقاً",
    "end current meeting": "إنهاء الجلسة الحالية",
    "start new meeting": "بدء جلسة جديدة",
    "end lesson": "إنهاء الدرس",
    "Select A Book !": "لم تقم بتحديد الكتاب !",
    "Enter Page Number !": "لم تقم بتحديد رقم الصفحة !",
    "Enter Link Url !": "لم تقم بإدخال الرابط !",
    "Enter Link Title !": "لم تقم بإدخال عنوان الرابط !",
    "choose file first !": "لم تقم بتحديد الملف !",
    "Pattern saved!": "تم حفظ النموذج بنجاح !",
    "QuestionSet Deleted!": "تم حذف مجموعة الأسئلة بنجاح !",
    "QuestionSet is Linked!": "مجموعة الأسئلة هذه مرتبطة بدرس[",
    "Select a Group First": "لم تقم بتحديد المجموعة !",
    "Password changed Successfully ": "تم تعديل كلمة المرور بنجاح",
    "Check Your Assessment ,  Less Than 100 !": "المجموع أقل من 100 !",
    "Select A Master First": "لم تقم بتحديد إلى أين تريد الإضافة ! ",
    "Added Already !": "تمت إضافته مسبقا",
    "Group Deleted": "تم حذف المجموعة",
    "Topic Deleted": "تم حذف الموضوع",
    "Topic Grade Updated": "تم تعديل علامة الموضوع",
    "Group Name Updated To ": "تم تعديل اسم المجموعة إلى ",
    "Selected Group Have Skip , If You Update This Topic Grade , We will Update aLL Topics Grade For You":
      "هذه المجموعة تسمح بتخطي بعض المواضيع , إذا قمت بتعديل علامة هذا الموضوع سنقوم بتعديل علامات باقي مواضيع المجموعة آلياً",
    "Please Type Name": "أدخل الاسم",
    "View Marks Report": "عرض تقرير العلامات",
    "Add To All Courses": "الإضافة إلى كل المواد",
    "Assign Patterns Randomly": "إسناد النماذج بشكل عشوائي",
    "To Do List": "قائمة المهام",
    Tasks: "مهام",
    Task: "مهمة",
    "Mark As Done": "تمييز كمنفذة",
    "To Do List is Empty !": "قائمة المهام فارغة !",
    Comments: "التعليقات",
    "Add Comment": "إضافة تعليق",
    "Enter Your Comment :": "أدخل تعليقك :",
    "Resources import": "استيراد الملفات",
    Manage: "إدارة",
    "Questions import": "استيراد الأسئلة",
    "Display Courses": "استعرض المواد",
  };
  if (localStorage.getItem("lang") == "ar") {
    var wordAr = "";
    Object.keys(terms).forEach((key, index) => {
      if (key === word) {
        wordAr = terms[key];
      }
    });
    return wordAr;
  } else {
    return word;
  }
}
